Xenial & bionic vagrant box disk size is too small

Bug #1580596 reported by christophe on 2016-05-11
72
This bug affects 13 people
Affects Status Importance Assigned to Milestone
cloud-images
High
Pat Viafore
livecd-rootfs (Ubuntu)
Medium
Pat Viafore
Xenial
Medium
Unassigned
Bionic
Medium
Unassigned

Bug Description

[Impact]
Users could not use vagrant boxes as a full computer (or anything requiring more than 10G of memory). This was a regression from our behavior in 14.04

[Test Case]

vagrant init ubuntu/bionic64 (replace with ubuntu/eoan64 or ubuntu/xenial64 as needed)
vagrant up
vagrant ssh default
Run `df -H` inside the vagrant box
Observe Disk size of drive mounted at / (before the fix it will list ~10G, after the fix it will list ~40G)

[Regression Potential]

Making the disk size bigger for vagrant boxes does not increase the size of the box when running (not until that extra size is used). Therefore, the regression potential is low, as users with under 40G of disk space are still able to launch the new Vagrant images without running out of space.

The 40G was also present in 14.04, which should improve confidence that our users can use 40G Vagrant images. This has also released with 20.04.

[Original Description]
The ubuntu/xenial64 box has only 10GB of disk whereas it was 40GB with the trusty box.

This makes the box not really usable as a desktop computer.

Related branches

MartinL (landa-martin) wrote :

I fully agree.

Jeff Groom (jeffortworks) wrote :

It also make it unusable for building complex docker images i.e. (onosproject.org)

Jamie Jackson (jamiejackson) wrote :

The same seems to be true of bionic (18.04). The box is useless to me (same Docker problem as Jeff Groom), yet the problem seems so easy to fix.

What's extra frustrating is that I am trying to upgrade from trusty due to a Docker roadblock that cropped up in that distro, and now I can't upgrade without jumping through hoops.

summary: - Xenial vagrant box disk size is too small
+ Xenial & bionic vagrant box disk size is too small
Jamie Jackson (jamiejackson) wrote :

Hmm, this made for a pretty slick workaround: https://github.com/sprotheroe/vagrant-disksize

This resulted in a resized disk and an it expanded the partition, too:
config.disksize.size = '40GB'

However, one shouldn't need a plugin to use a box, as it should have a reasonably sized disk from the start. (I was always happy with the 40GB boxes.)

Francis Ginther (fginther) wrote :

Thank you for re-raising this issue. We are looking re-sizing the image to something larger.

Changed in cloud-images:
status: New → Confirmed
importance: Undecided → High
Max Gaukler (mgmax) wrote :

Is there any way to help with this issue?

Jamie Jackson (jamiejackson) wrote :

This seems like low-hanging fruit. I'm surprised this has been open for three and half years.

Changed in google-app-engine-django:
assignee: nobody → Roufique Hossain (roufique)
Changed in cloud-images:
assignee: nobody → Roufique Hossain (roufique)
Pat Viafore (patviafore) wrote :

@roufique: I noticed that you assigned yourself to this task. Coincidentally, I was just about to do the same to get this into Focal before next week's release and then backport to Xenial and Bionic.

Please let me know if I can help in any way. If you need me to take care of some of the work too, let me know.

Max Gaukler (mgmax) wrote :

For those in need of a simple workaround: The bento/ubuntu-18.04 Vagrant box is mostly (completely?) equivalent to ubuntu/bionic64, but has 40GB of disk space.

Pat Viafore (patviafore) wrote :

@roufique: I have a patch for Focal here: https://git.launchpad.net/~patviafore/livecd-rootfs/+git/livecd-rootfs/commit/?id=2c70ed158bc33a3c0d7e2e976acf9f0f7af295be

Unfortunately, due to Focal release being a week away, I'm going to go ahead and start shepherding this through our release process. I won't be addressing Bionic or Xenial just yet, though.

Please let me know if you'd still like the bug assigned to you for Bionic and Xenial, or if you'd like me to take over.

Robert C Jennings (rcj) wrote :

@patviafore & @roufique: I have sponsored the proposed change and uploaded the package. This change is present in livecd-rootfs 2.664[1] and the next vagrant daily image for focal should be 40GB.

[1] https://launchpad.net/ubuntu/+source/livecd-rootfs/2.664

Changed in cloud-images:
status: Confirmed → Fix Committed
Pat Viafore (patviafore) wrote :

I've confirmed that https://app.vagrantup.com/ubuntu/boxes/focal64 has 40G. I'm going to leave this bug as open until this fix has been backported to Xenial and Bionic.

Pat Viafore (patviafore) on 2020-04-21
Changed in google-app-engine-django:
assignee: Roufique Hossain (roufique) → Pat Viafore (patviafore)
Changed in cloud-images:
assignee: Roufique Hossain (roufique) → Pat Viafore (patviafore)
Mathew Hodson (mhodson) wrote :

livecd-rootfs (2.664) focal; urgency=medium

  [ Patrick Viafore ]
  * Increase Vagrant disk size from 10G to 40G (LP: #1580596)

 -- Robert C Jennings <email address hidden> Fri, 17 Apr 2020 11:03:18 -0500

Changed in livecd-rootfs (Ubuntu):
status: New → Fix Released
Pat Viafore (patviafore) on 2020-05-18
Changed in livecd-rootfs (Ubuntu):
assignee: nobody → Pat Viafore (patviafore)
Pat Viafore (patviafore) on 2020-05-27
no longer affects: cloud-images/bb-series
no longer affects: cloud-images/x-series
Pat Viafore (patviafore) on 2020-05-27
description: updated
Pat Viafore (patviafore) on 2020-05-27
description: updated

Hello christophe, or anyone else affected,

Accepted livecd-rootfs into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.525.48 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in livecd-rootfs (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Steve Langasek (vorlon) wrote :

Hello christophe, or anyone else affected,

Accepted livecd-rootfs into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.408.64 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in livecd-rootfs (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial

All autopkgtests for the newly accepted livecd-rootfs (2.408.64) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

livecd-rootfs/2.408.64 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#livecd-rootfs

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Pat Viafore (patviafore) wrote :

Version 2.525.48 of livecd-rootfs has fixed this issue.

Test case:
Built a box with the version of livecd-rootfs

vagrant box add build.output/livecd.ubuntu-cpc.vagrant.box --name bionic-test
vagrant init bionic-test
vagrant up
vagrant ssh default
Run `df -H` inside the vagrant box
Observe Disk size of drive mounted at / and observe that the disk is ~ 40G

To confirm that this won't break users upgrading to this box, but with < 40G disks, I checked the size of the VMDK backing the box. It was listed at 1.1G. I created a 15G file with `dd if=/dev/urandom of=filename bs=1024 count=15M` I was able to observe the VMDK growing by 15G.

So if a user were to have a 10G box fully allocated, and then upgrade to the new box built with the latest version of livecd-rootfs, the user would not be impacted until they tried to fill up the 40G.

tags: added: verification-done-bionic
removed: verification-needed-bionic verification-needed-xenial
Mathew Hodson (mhodson) on 2020-12-11
Changed in livecd-rootfs (Ubuntu):
importance: Undecided → Medium
Changed in livecd-rootfs (Ubuntu Xenial):
importance: Undecided → Medium
Changed in livecd-rootfs (Ubuntu Bionic):
importance: Undecided → Medium
tags: added: verification-needed-xenial
removed: verification-needed
Mathew Hodson (mhodson) on 2020-12-11
affects: google-app-engine-django → ubuntu-translations
no longer affects: ubuntu-translations
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.525.48

---------------
livecd-rootfs (2.525.48) bionic; urgency=medium

   [ John Chittum ]
   * Ensure vmtools version entered into vmdk header (LP: #1893898)

   [ Dimitri John Ledkov & Joshua Powers ]
   * amd64: always install grub-pc with shim-signed (LP: #1901906), and
     ensure to autoremove packages

   [ Patrick Viafore ]
   * Increase Vagrant disk size from 10G to 40G (LP: #1580596)

 -- Robert C Jennings <email address hidden> Fri, 20 Nov 2020 15:08:54 -0600

Changed in livecd-rootfs (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for livecd-rootfs has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello christophe, or anyone else affected,

Accepted livecd-rootfs into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.408.65 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed

All autopkgtests for the newly accepted livecd-rootfs (2.408.65) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

ubuntu-image/1.10+16.04ubuntu1 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#livecd-rootfs

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Pat Viafore (patviafore) wrote :

Version 2.408.65 of livecd-rootfs has fixed this issue.

Test case:
Built a box with the version of livecd-rootfs

vagrant box add build.output/livecd.ubuntu-cpc.vagrant.box --name xenial-test
vagrant init xenial-test
vagrant up
vagrant ssh default
Run `df -H` inside the vagrant box
Observe Disk size of drive mounted at / and observe that the disk is ~ 40G

To confirm that this won't break users upgrading to this box, but with < 40G disks, I checked the size of the VMDK backing the box. It was listed at 1.1G. I created a 15G file with `dd if=/dev/urandom of=filename bs=1024 count=15M` I was able to observe the VMDK growing by 15G.

So if a user were to have a 10G box fully allocated, and then upgrade to the new box built with the latest version of livecd-rootfs, the user would not be impacted until they tried to fill up the 40G.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.408.65

---------------
livecd-rootfs (2.408.65) xenial; urgency=medium

  [ Joshua Powers ]
  * amd64: revert install grub changes on Xenial (LP: #1901906)

livecd-rootfs (2.408.64) xenial; urgency=medium

  [ Joshua Powers ]
  * amd64: always install grub-efi-amd64-signed (LP: #1901906)

livecd-rootfs (2.408.63) xenial; urgency=medium

  [ John Chittum ]
  * Backport Ensure toolsVersion set in vmdk header (LP: #1893898)

livecd-rootfs (2.408.62) xenial; urgency=medium

  [ Dimitri John Ledkov & Joshua Powers ]
  * amd64: always install grub-pc with shim-signed (LP: #1901906), and
    ensure to autoremove packages

  [ Patrick Viafore ]
  * Increase Vagrant disk size from 10G to 40G (LP: #1580596)

  [ Cody Shepherd ]
  * buildd: ext4: change tar transform target to match changes in bionic+
  * buildd: Skip jasper for buildd subproject
  * buildd: Create manifests for buildd tarballs

livecd-rootfs (2.408.61) xenial; urgency=medium

  * SRU: Enable bootable-buildd hooks for Xenial (LP: #1863024)

 -- Robert C Jennings <email address hidden> Tue, 15 Dec 2020 11:11:14 -0600

Changed in livecd-rootfs (Ubuntu Xenial):
status: Fix Committed → Fix Released
Pat Viafore (patviafore) wrote :

I've confirmed that this has been fixed in the latest Xenial Vagrant box.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers